aboutsummaryrefslogtreecommitdiffstats
path: root/priv/templates/erl_script.dtl
diff options
context:
space:
mode:
authornuex <[email protected]>2014-02-21 15:16:39 -0500
committernuex <[email protected]>2014-03-08 19:30:56 -0500
commit7703e99c8ef26988242907ef3253470317330c8c (patch)
treeb2f6784ea368762e9d1fff53f7d568ea10634dd6 /priv/templates/erl_script.dtl
parentf2fe3631a093f5d45aeef129ead37562ded9ec9c (diff)
downloadrelx-7703e99c8ef26988242907ef3253470317330c8c.tar.gz
relx-7703e99c8ef26988242907ef3253470317330c8c.tar.bz2
relx-7703e99c8ef26988242907ef3253470317330c8c.zip
add templates
Diffstat (limited to 'priv/templates/erl_script.dtl')
-rw-r--r--priv/templates/erl_script.dtl13
1 files changed, 13 insertions, 0 deletions
diff --git a/priv/templates/erl_script.dtl b/priv/templates/erl_script.dtl
new file mode 100644
index 0000000..261eb6a
--- /dev/null
+++ b/priv/templates/erl_script.dtl
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -e
+
+SCRIPT_DIR=`dirname $0`
+ROOTDIR=`cd $SCRIPT_DIR/../../ && pwd`
+BINDIR=$ROOTDIR/erts-{{ erts_vsn }}/bin
+EMU=beam
+PROGNAME=`echo $0 | sed 's/.*\\///'`
+export EMU
+export ROOTDIR
+export BINDIR
+export PROGNAME
+exec \"$BINDIR/erlexec\" ${1+\"$@\"}